Skip to main content
GET
/
v1
/
benefits
/
{id}
/
grants
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"github.com/polarsource/polar-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.Benefits.Grants(ctx, operations.BenefitsGrantsRequest{
        ID: "<value>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ListResourceBenefitGrant != nil {
        for {
            // handle items

            res, err = res.Next()

            if err != nil {
                // handle error
            }

            if res == nil {
                break
            }
        }
    }
}
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "is_granted": true,
      "is_revoked": true,
      "subscription_id": "<string>",
      "order_id": "<string>",
      "customer_id": "<string>",
      "benefit_id": "<string>",
      "customer": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "metadata": {},
        "email": "<string>",
        "email_verified": true,
        "type": "<string>",
        "name": "John Doe",
        "billing_address": {
          "country": "AD",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "city": "<string>",
          "state": "<string>"
        },
        "tax_id": {
          "[0]": "<string>"
        },
        "organization_id": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "avatar_url": "<string>",
        "external_id": "usr_1337",
        "locale": "<string>"
      },
      "benefit": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "type": "<string>",
        "description": "<string>",
        "selectable": true,
        "deletable": true,
        "is_deleted": true,
        "organization_id": "<string>",
        "metadata": {},
        "properties": {
          "note": "<string>"
        }
      },
      "properties": {
        "account_id": "<string>",
        "guild_id": "<string>",
        "role_id": "<string>",
        "granted_account_id": "<string>"
      },
      "granted_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "member_id": "<string>",
      "error": {
        "message": "<string>",
        "type": "<string>",
        "timestamp": "<string>"
      },
      "member": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "customer_id": "<string>",
        "email": "<string>",
        "name": "Jane Doe",
        "external_id": "usr_1337",
        "role": "owner"
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

id
string<uuid4>
required

The benefit ID.

Query Parameters

is_granted
boolean | null

Filter by granted status. If true, only granted benefits will be returned. If false, only revoked benefits will be returned.

customer_id

Filter by customer. The customer ID.

member_id

Filter by member.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

Response

Successful Response

items
BenefitGrant · object[]
required
pagination
Pagination · object
required